Page MenuHomePhabricator

"phabricator" Cloud VPS project jessie deprecation
Closed, ResolvedPublic

Description

The end of life of Debian Jessie is approaching in 2020 and we need to move to Debian Buster (or Stretch) before that date.

All instances in the phabricator project need to upgrade as soon as possible. Instances not upgraded by 2019-12-31 may be subject to deletion unless prior arrangements for an extended deadline has been approved by the Cloud VPS administration team.

Listed administrators are:

See also:

More info on current project instances is available via openstack browser

Details

Due Date
Dec 31 2019, 11:59 PM

Event Timeline

StrikerBot created this task.

The Cloud Services team would like to have Debian Jessie systems replaced with Debian Buster (or Stretch if necessary) before 2019-12-31. Please do respond of this task with comments if you know you will not be able to meet that target date or have additional questions about what to do or how to do it. Ideally you will create new instances in your Cloud VPS project, test them, and then migrate any final state data to the new instances before deleting the old Jessie instances. If you need more quota space in your project to create new instances in parallel with your existing instances please create a quota request task describing the increase you need and referencing this deprecation task.

Note that all the instances are already stretch. I did the dist-upgrade years ago. I'm aware because of that horizion shows jessie. I doin't see the point of trying to rebuild until https://phabricator.wikimedia.org/T236309 is rejected/approved. Since i rather not do this twice.

These are actually on stretch. But they have been upgraded in place, that's why they pop-up on the jessie list.

Nevertheless we want to replace all this with a single new project for devtools. Requesting that now.

We requested a new unified project to replace this and 2 other projects at once. gerrit, git and phabricator.

If T240047 gets approved we would create new (buster) instances there and delete everything here (stretch that was upgraded in place from a jessie image).

Today we are creating a puppetmaster in the new devtools project to get this moving and replace this project asap.

The 2020-04-25 EOL date for Debian Jessie is rapidly approaching. Projects where the status of migration is unknown maybe subject to forced instance shutdown on or before that date. Please reply with a rough timeline/plan for the resolution of this task.

Today we are creating a puppetmaster in the new devtools project to get this moving and replace this project asap.

Both instances are still running. 2020-04-25 is now a short 2 weeks away.

I'll give it another attempt to move it forward within the coming 2 weeks and if it doesn't work out by the due date we'll live with them being deleted.

Is this task still valid and should stay open? Asking as the Due Date on this task says December 2019. If this task is done, please resolve it (via Add Action...Change Status in the dropdown menu). If it is not done, please remove or reset the Due Date (via Edit Task). Thanks!

The task and due date is technically incorrect because these instances are not on jessie anymore, they are stretch. But the automatic scripts creating them could not notice this because the instances were updated in place and the scripts just know about the original image name. Having said that, it it still valid to remove these.

Mentioned in SAL (#wikimedia-cloud) [2020-05-04T09:44:44Z] <mutante> - created backups and shut down instance phab-tin (T236571)

Dzahn updated the task description. (Show Details)
Dzahn added a subscriber: Negative24.

Mentioned in SAL (#wikimedia-cloud) [2020-05-04T10:25:53Z] <mutante> - created backups and shut down instance phabricator (T236571), uploading backups to puppet-phabricator

Mentioned in SAL (#wikimedia-cloud) [2020-05-04T11:02:41Z] <mutante> - removed instances - replaced by instances in devtools (T236571)

Dzahn reassigned this task from Dzahn to Andrew.EditedMay 4 2020, 11:03 AM
Dzahn updated the task description. (Show Details)
Dzahn added a subscriber: Andrew.

Hi @Andrew I removed the instances in this project. You can now remove it. It has been replaced by the devtools project.